Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 226367 - Open Documents dialog: DEL-key should close the selected documents
Open Documents dialog: DEL-key should close the selected documents
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Window System
7.3
PC Windows 7
: P3 (vote)
: 7.4
Assigned To: Stanislav Aubrecht
issues@platform
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-19 21:59 UTC by markiewb
Modified: 2013-03-02 01:52 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments
Shows the dialog (42.46 KB, image/png)
2013-02-19 21:59 UTC, markiewb
Details

Note You need to log in before you can comment on or make changes to this bug.
Description markiewb 2013-02-19 21:59:12 UTC
Created attachment 131585 [details]
Shows the dialog

* Windows->Documents...
* dialog with open documents opens
* select some documents

ACTUAL: closing the selected docs is possible via mouseclick at "close docs" button and its mnemonic ALT-L

EXPECTED: pressing DEL-key should also invoke the "close docs" button (this is more intuitive and easy to implement IMHO)
Comment 1 Stanislav Aubrecht 2013-02-20 08:34:40 UTC
(In reply to comment #0)

> 
> EXPECTED: pressing DEL-key should also invoke the "close docs" button (this is
> more intuitive and easy to implement IMHO)


How would one discover that such a keyboard shortcut is available? It is not a standard key to 'close' a document...
Comment 2 markiewb 2013-02-20 12:39:05 UTC
(In reply to comment #1)
> (In reply to comment #0)
> 
> > 
> > EXPECTED: pressing DEL-key should also invoke the "close docs" button (this is
> > more intuitive and easy to implement IMHO)
> 
> 
> How would one discover that such a keyboard shortcut is available? It is not a
> standard key to 'close' a document...

But it is an intuitive shortcut to remove an entry from a list. 
You could also show it in the tooltip of the button.
Comment 3 Stanislav Aubrecht 2013-02-28 13:40:33 UTC
core-main d1f7d2a52fba
Comment 4 Quality Engineering 2013-03-02 01:52:27 UTC
Integrated into 'main-golden', will be available in build *201303012300* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/d1f7d2a52fba
User: S. Aubrecht <saubrecht@netbeans.org>
Log: #226367 - Del key closes selected documents


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo